Bug 113803 - i810_audio oops Unable to handle kernel NULL pointer dereference
Summary: i810_audio oops Unable to handle kernel NULL pointer dereference
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://bugme.osdl.org/show_bug.cgi?id...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-18 13:23 UTC by Bart Martens
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:58:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after expiration of the time window specified by the -c option of transcode (1.31 KB, text/plain)
2004-01-18 13:26 UTC, Bart Martens
no flags Details
messages in /var/log/messages appearing after expiration of the time window specified by the -c option of transcode (2.27 KB, text/plain)
2004-01-18 13:30 UTC, Bart Martens
no flags Details

Description Bart Martens 2004-01-18 13:23:06 UTC
Description of problem:

When using transcode for recording from a tv-card using the -c option
to specify the time window, transcode blocks at the expiration of the
time window (kill -9 needed), I get ugly messages in /var/log/messages
and dmesg, and transcode no longer records complaining about /dev/dsp
being busy (nothing to see with lsof) and complaining about probing
the v4l device.


Version-Release number of selected component (if applicable):

kernel-2.4.22-1.2149.nptl
transcode-0.6.12-1.fr (from freshrpms)


How reproducible: every time.


Steps to Reproduce:
1. Install kernel-2.4.22-1.2149.nptl and transcode-0.6.12-1.fr 
2. Use transcode with the following command, or something similar, I
got this command from gv4l:
transcode --progress_off -x v4l,v4l -i /dev/video0 -p /dev/dsp -V -u
100 -g 384x288 -f 0,3 -y xvid -o /home/bart/videos/video.avi -w
1800,250,100 -b 96,0,5 -s 0 -J preview --import_v4l 0,VT4 -c 0-0:01:00
3. Wait until the minute specified with the -c option is over.
4. See the preview window of transcode freeze
5. See that you cannot kill transcode, a kill -9 is needed.
6. Check the recording, it's good.
7. View /var/log/messages and dmesg
8. Try transcode again, see that recording is no longer possible, view
the messages output on the terminal


Additional info:

See http://bugme.osdl.org/show_bug.cgi?id=1545

Comment 1 Bart Martens 2004-01-18 13:26:41 UTC
Created attachment 97082 [details]
dmesg output after expiration of the time window specified by the -c option of transcode

dmesg|tail -n 30 > dmesg.txt

Comment 2 Bart Martens 2004-01-18 13:30:37 UTC
Created attachment 97083 [details]
messages in /var/log/messages appearing after expiration of the time window specified by the -c option of transcode

tail -n 29 /var/log/messages > messages.txt

Comment 3 David Lawrence 2004-09-29 19:58:33 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.